OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXDESTEP
STEPCAFControl

# STEPCAFControl_Controller Class Reference

Extends Controller from STEPControl in order to provide
ActorWrite adapted for writing assemblies from DECAF
Note that ActorRead from STEPControl is used for reading
(inherited automatically)
.

`#include <STEPCAFControl_Controller.hxx>`

Inheritance diagram for STEPCAFControl_Controller:

[legend]

## Public Member Functions
Standard_EXPORT | STEPCAFControl_Controller ()
| Initializes the use of STEP Norm (the first time) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Static Public Member Functions
static Standard_EXPORT Standard_Boolean | Init ()
| Standard Initialisation. It creates a Controller for STEP-XCAF and records it to various names, available to select it later Returns True when done, False if could not be done .

## Constructor & Destructor Documentation

Standard_EXPORT STEPCAFControl_Controller::STEPCAFControl_Controller | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const STEPCAFControl_Controller::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from STEPControl_Controller.

static Standard_EXPORT Standard_Boolean STEPCAFControl_Controller::Init | ( |  | ) | `[static]`

| Reimplemented from STEPControl_Controller.

The documentation for this class was generated from the following file:

- STEPCAFControl_Controller.hxx